<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddTotalAceptadoRevisadoToPresupuestos extends Migration
{
    public function up()
    {
        $this->forge->addColumn('presupuestos', [
            'total_aceptado_revisado' => [
                'type'       => 'FLOAT',
                'null'       => true,
                'default'    => null,
                'after'      => 'total_aceptado' // Opcional: reemplazar con la última columna actual
            ],
        ]);
    }

    public function down()
    {
        $this->forge->dropColumn('presupuestos', 'total_aceptado_revisado');
    }
}
